# Spot GEX exposures per 1min `GET` `https://api.unusualwhales.com/api/stock/{ticker}/spot-exposures` Returns the spot GEX exposures for the given ticker per minute. Spot GEX is the assumed $ value of the given greek (ie. gamma) exposure that market makers need to hedge per 1% change of the underlying stock's price movement. A positive value is long and a negative value is short. Investors and large funds lower risk and protect their money by selling calls and buying puts. Market makers provide the liquidity to facilitate these trades. GEX assumes that market makers are part of every transaction and that the bulk of their transactions are buying calls and selling puts to investors hedging their portfolios. If a market maker has one contract open with a gamma value of 0.05, then if the underlying stock price moves by 1%, that market maker is exposed to $[0.05 * 100 shares * 0.01 * stock price * underlying parameter of the greek variable (for gamma this variable is the stock price)]. The total market maker spot exposure is calculated by summing up the spot exposure of all open contracts determined by the daily open interest or by volume. Market makers profit from the bid-ask spreads and as such, they constantly gamma hedge (they buy and sell shares to keep their positions delta neutral). Long call positions are positive gamma - as the stock price increases and delta rises (approaches 1), market makers hedge by selling shares, and they buy shares if the stock price decreases and delta falls. Short put positions are negative gamma - as the stock price increases and delta falls (approaches -1), market makers hedge by buying shares, and they sell shares if the stock price decreases and delta rises. As such, in the event of large positive gamma, volatility is suppressed as market makers will hedge by buying as the stock price decreases and selling as the stock price increases. And in the event of large negative gamma, volatility is amplified as market makers will hedge by buying as the stock price increases and selling as the stock price decreases. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `charm_per_one_percent_move_dir` | CEX Per One Percent Move Directionalized Volume | The charm 1% move based on directionalized volume | | `charm_per_one_percent_move_oi` | CEX Per One Percent Move OI | The charm 1% move based on OI: This is calculated as charm * open interest * 365 | | `charm_per_one_percent_move_vol` | CEX Per One Percent Move Volume | The charm 1% move based on volume: This is calculated as charm * volume * 365 | | `gamma_per_one_percent_move_dir` | GEX Per One Percent Move Directionalized Volume | The gamma 1% move based on directionalized volume | | `gamma_per_one_percent_move_oi` | Gex Gamma Per One Percent Move OI | The gamma 1% move based on OI: This is calculated as gamma * open interest * price * price | | `gamma_per_one_percent_move_vol` | Gex Gamma Per One Percent Move Volume | The gamma 1% move based on volume: This is calculated as gamma * volume * price * price | | `price` | Gex Underlying Price | The underlying price used in calculations. NOTE: For any index ticker this will be the current ATM strike. | | `time` | Gex Calculation Time | The UTC timestamp of the calculation | | `vanna_per_one_percent_move_dir` | VEX Per One Percent Move Directionalized Volume | The vanna 1% move based on directionalized volume | | `vanna_per_one_percent_move_oi` | VEX Per One Percent Move OI | The vanna 1% move based on OI: This is calculated as vanna * open interest | | `vanna_per_one_percent_move_vol` | VEX Per One Percent Move Volume | The vanna 1% move based on volume: This is calculated as vanna * volume | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/spot-exposures" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/spot-exposures", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "charm_per_one_percent_move_dir": "654769081.21", "charm_per_one_percent_move_oi": "5124108502049.17", "charm_per_one_percent_move_vol": "320909908341.10", "gamma_per_one_percent_move_dir": "475681.21", "gamma_per_one_percent_move_oi": "65476967081.41", "gamma_per_one_percent_move_vol": "12921519098.30", "price": "4650", "time": "2023-12-13T05:00:41.481000Z", "vanna_per_one_percent_move_dir": "-342349081.21", "vanna_per_one_percent_move_oi": "-54622844772.90", "vanna_per_one_percent_move_vol": "-5559678859.12" }, { "charm_per_one_percent_move_dir": "654769081.21", "charm_per_one_percent_move_oi": "4736293042981.03", "charm_per_one_percent_move_vol": "308180334258.50", "gamma_per_one_percent_move_dir": "475681.21", "gamma_per_one_percent_move_oi": "64220497598.15", "gamma_per_one_percent_move_vol": "11924696599.44", "price": "4650", "time": "2023-12-13T11:29:41.501000Z", "vanna_per_one_percent_move_dir": "-342349081.21", "vanna_per_one_percent_move_oi": "-52107741026.80", "vanna_per_one_percent_move_vol": "-5043673317.55" } ] } ```